summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2017-11-21 22:43:36 -0600
committerNarinder Gupta <narinder.gupta@canonical.com>2017-11-21 23:12:20 -0600
commit01e331239780afb41557f5436238b438865bcafb (patch)
tree24fa5780214668d24554a6f25dc5f408f56dfea6
parentab10f090847a88679bd5fd9597aae388f01f7e2e (diff)
add pod19 without vlan.
Change-Id: I0764f19e0389921a7240802ebce0c484837f19ee Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
-rwxr-xr-xci/02-deploybundle.sh2
-rwxr-xr-xci/03-maasdeploy.sh16
-rw-r--r--ci/config_tpl/juju2/bundle_tpl/keystone.yaml2
-rw-r--r--ci/config_tpl/juju2/bundle_tpl/neutron-api.yaml3
-rwxr-xr-xci/deploy.sh17
-rw-r--r--labconfig/intel/pod19/labconfig.yaml61
6 files changed, 55 insertions, 46 deletions
diff --git a/ci/02-deploybundle.sh b/ci/02-deploybundle.sh
index 8decae10..df669a88 100755
--- a/ci/02-deploybundle.sh
+++ b/ci/02-deploybundle.sh
@@ -156,7 +156,7 @@ openfile_fix() {
if [ "$opnfvsdn" = "ocl" ]
then
- TAG="ubuntu16.04-4.0.1.0-32.tar.gz"
+ TAG="ubuntu16.04-4.0.2.0-34.tar.gz"
for ROLE in contrail-controller contrail-analytics contrail-analyticsdb
do
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index 3004e0a0..005be470 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -253,7 +253,7 @@ configuremaas(){
#below tag would be used to enable huge pages for DPDK and SRIOV enablement in Ubuntu kernel via MAAS
maas $PROFILE tags create name='opnfv-dpdk' comment='OPNFV DPDK enablement' \
- kernel_opts='hugepagesz=2M hugepages=1024 hugepagesz=1G hugepages=20 default_hugepagesz=1G intel_iommu=on'
+ kernel_opts='hugepagesz=2M hugepages=1024 hugepagesz=1G hugepages=20 default_hugepagesz=1G intel_iommu=on' || true
#create the required spaces.
maas $PROFILE space update 0 name=default || true
@@ -300,7 +300,7 @@ setupspacenetwork(){
NET_VLAN_ID=$(maas $PROFILE vlans read $NET_FABRIC_ID | jq -r ".[] | select(.vid==\"$SPACE_VLAN\")".id)
NET_VLAN_VID=$(maas $PROFILE vlans read $NET_FABRIC_ID | jq -r ".[] | select(.vid==\"$SPACE_VLAN\")".vid)
if ([ $SPACE_GWAY ] && [ "$SPACE_GWAY" != "null" ]); then
- maas $PROFILE subnet update $SPACE_CIDR gateway_ip=$SPACE_GWAY
+ maas $PROFILE subnet update $SPACE_CIDR gateway_ip=$SPACE_GWAY || true
fi
if ([ $NET_VLAN_VID ] && [ $NET_VLAN_VID == "0" ]); then
config_done=1
@@ -309,7 +309,7 @@ setupspacenetwork(){
else
NET_VLAN_ID=$(maas $PROFILE vlans create $NET_FABRIC_ID vid=$SPACE_VLAN | jq --raw-output ".id")
if ([ $NET_VLAN_ID ] && [ $NET_VLAN_ID != "null" ]); then
- maas $PROFILE subnet update $SPACE_CIDR vlan=$NET_VLAN_ID
+ maas $PROFILE subnet update $SPACE_CIDR vlan=$NET_VLAN_ID || true
NET_FABRIC_VID=$SPACE_VLAN
fi
fi
@@ -321,16 +321,16 @@ setupspacenetwork(){
if ([ $SPACE_VLAN ] && [ "$SPACE_VLAN" != "null" ]); then
NET_VLAN_ID=$(maas $PROFILE vlans create $FABRIC_ID vid=$SPACE_VLAN | jq --raw-output ".id")
if ([ $SPACE_GWAY ] && [ "$SPACE_GWAY" != "null" ]); then
- maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid=$VID_ID gateway_ip=$SPACE_GWAY
+ maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid=$VID_ID gateway_ip=$SPACE_GWAY || true
else
- maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid=$VID_ID
+ maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid=$VID_ID || true
fi
NET_FABRIC_VID=$VLAN_ID
else
if ([ $SPACE_GWAY ] && [ "$SPACE_GWAY" != "null" ]); then
- maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid="0" gateway_ip=$SPACE_GWAY
+ maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid="0" gateway_ip=$SPACE_GWAY || true
else
- maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid="0"
+ maas $PROFILE subnets create fabric=$FABRIC_ID cidr=$SPACE_CIDR vid="0" || true
fi
fi
NET_FABRIC_NAME=$(maas $PROFILE subnets read | jq -r ".[] | select(.cidr==\"$SPACE_CIDR\")".vlan.fabric)
@@ -351,7 +351,7 @@ setupspacenetwork(){
NET_FABRIC_ID=$(maas $PROFILE fabric read $NET_FABRIC_NAME | jq -r ".id")
if ([ $NET_FABRIC_ID ] && [ $NET_FABRIC_ID != "null" ]); then
if ([ $JUJU_VLAN_VID ] && [ $JUJU_VLAN_VID != "null" ]); then
- maas $PROFILE vlan update $NET_FABRIC_ID $JUJU_VLAN_VID space=$JUJU_SPACE_ID
+ maas $PROFILE vlan update $NET_FABRIC_ID $JUJU_VLAN_VID space=$JUJU_SPACE_ID || true
fi
fi
if ([ $type == "admin" ]); then
diff --git a/ci/config_tpl/juju2/bundle_tpl/keystone.yaml b/ci/config_tpl/juju2/bundle_tpl/keystone.yaml
index 233d1d72..1c6b78f6 100644
--- a/ci/config_tpl/juju2/bundle_tpl/keystone.yaml
+++ b/ci/config_tpl/juju2/bundle_tpl/keystone.yaml
@@ -17,9 +17,7 @@
region: *openstack-region
admin-role: {{ os.admin.role }}
keystone-admin-role: {{ os.admin.role }}
-{% if os.network.controller != 'ocl' %}
preferred-api-version: 3
-{% endif %}
{% if os.network.ipv6 %}
prefer-ipv6: {{ os.network.ipv6 }}
{% endif %}
diff --git a/ci/config_tpl/juju2/bundle_tpl/neutron-api.yaml b/ci/config_tpl/juju2/bundle_tpl/neutron-api.yaml
index e59530c1..823e251a 100644
--- a/ci/config_tpl/juju2/bundle_tpl/neutron-api.yaml
+++ b/ci/config_tpl/juju2/bundle_tpl/neutron-api.yaml
@@ -37,6 +37,9 @@
{% elif os.network.controller == 'onos' %}
flat-network-providers: physnet1
manage-neutron-plugin-legacy-mode: False
+{% elif os.network.controller == 'ocl' %}
+ flat-network-providers: physnet1
+ manage-neutron-plugin-legacy-mode: False
{% endif %}
{% if os.network.dvr %}
enable-dvr: true
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 497d9edb..00e8aef0 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -320,6 +320,17 @@ python -c 'import sys, yaml, json; json.dump(yaml.load(sys.stdin), sys.stdout, i
# Configuring deployment
if ([ $opnfvmodel == "openstack" ]); then
+ if ([ $opnfvsdn == "ocl" ]); then
+ echo_info "Patching OpenContrail controller container"
+ juju ssh contrail-controller/0 sudo docker cp contrail-controller:/etc/contrail/vnc_api_lib.ini /tmp
+ juju ssh contrail-controller/0 cp /tmp/vnc_api_lib.ini /tmp/vnc_api_lib.ini2
+ juju ssh contrail-controller/0 'echo "AUTHN_DOMAIN = admin_domain" >> /tmp/vnc_api_lib.ini2'
+ juju ssh contrail-controller/0 sudo docker cp /tmp/vnc_api_lib.ini2 contrail-controller:/etc/contrail/vnc_api_lib.ini
+ juju ssh contrail-controller/0 sudo docker exec -it contrail-controller service contrail-api restart
+
+ juju ssh contrail-controller/0 sudo docker cp /tmp/vnc_api_lib.ini2 contrail-analytics:/etc/contrail/vnc_api_lib.ini
+ fi
+
echo_info "Configuring OpenStack deployment"
./openstack.sh "$opnfvsdn" "$opnfvlab" "$opnfvdistro" "$openstack" || true
@@ -327,6 +338,12 @@ if ([ $opnfvmodel == "openstack" ]); then
# creating heat domain after pushing the public API into /etc/hosts
status=`juju run-action heat/0 domain-setup`
echo $status
+ if ([ $opnftype == "ha" ]); then
+ status=`juju run-action heat/1 domain-setup`
+ echo $status
+ status=`juju run-action heat/2 domain-setup`
+ echo $status
+ fi
sudo ../juju/get-cloud-images || true
../juju/joid-configure-openstack || true
diff --git a/labconfig/intel/pod19/labconfig.yaml b/labconfig/intel/pod19/labconfig.yaml
index f92b63b7..098571c5 100644
--- a/labconfig/intel/pod19/labconfig.yaml
+++ b/labconfig/intel/pod19/labconfig.yaml
@@ -16,9 +16,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["a4:bf:01:4b:55:f4"]
- - ifname: intf2.4000
- spaces: [public]
- mac: ["3c:fd:fe:aa:b8:f5"]
+# - ifname: intf2.1193
+# spaces: [public]
+# mac: ["3c:fd:fe:aa:b8:f5"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:aa:b8:f5"]
@@ -40,9 +40,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["a4:bf:01:4b:4f:9c"]
- - ifname: intf2.4000
- spaces: [public]
- mac: ["3c:fd:fe:aa:b7:fd"]
+# - ifname: intf2.1193
+# spaces: [public]
+# mac: ["3c:fd:fe:aa:b7:fd"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:aa:b7:fd"]
@@ -64,9 +64,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["a4:bf:01:4b:4f:5d"]
- - ifname: intf2.4000
- spaces: [public]
- mac: ["3c:fd:fe:aa:bd:d5"]
+# - ifname: intf2.1193
+# spaces: [public]
+# mac: ["3c:fd:fe:aa:bd:d5"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:aa:bd:d5"]
@@ -88,9 +88,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["a4:bf:01:4b:4d:2d"]
- - ifname: intf2.4000
- spaces: [public]
- mac: ["3c:fd:fe:aa:b9:c9"]
+# - ifname: intf2.1193
+# spaces: [public]
+# mac: ["3c:fd:fe:aa:b9:c9"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:aa:b9:c9"]
@@ -112,9 +112,9 @@ lab:
- ifname: intf3
spaces: [floating]
mac: ["a4:bf:01:4b:56:10"]
- - ifname: intf2.4000
- spaces: [public]
- mac: ["3c:fd:fe:aa:ba:39"]
+# - ifname: intf2.1193
+# spaces: [public]
+# mac: ["3c:fd:fe:aa:ba:39"]
- ifname: intf2
spaces: [storage]
mac: ["3c:fd:fe:aa:ba:39"]
@@ -136,36 +136,27 @@ opnfv:
- type: nosdn
storage:
- type: ceph
- disk: /dev/sdb
+ disk: /srv
feature: odl_l2
spaces:
- type: admin
bridge: brAdm
cidr: 10.10.191.0/24
- gateway: 10.10.191.1
+ gateway: 10.10.191.2
+ vlan:
+ - type: data
+ cidr: 10.10.192.0/24
+ gateway:
+ vlan:
+ - type: storage
+ cidr: 10.10.193.0/24
+ gateway:
vlan:
-# - type: data
-# bridge: brData
-# cidr: 10.10.192.0/24
-## gateway:
-# vlan:
-# - type: storage
-# bridge: brStor
-# cidr: 10.10.193.0/24
-# gateway:
-# vlan:
- type: floating
- bridge: brExt
cidr: 10.10.190.0/24
gateway:
vlan:
-# - type: storage
-# bridge: brMgmt
-# cidr: 10.10.194.0/24
-# gateway:
-# vlan: 214
# - type: public
-# bridge: brPublic
# cidr: 10.10.195.0/24
# gateway:
-# vlan: 4000
+# vlan: 1193